Subject: RE: [Ips] iSCSI: Correct value for ExpDataSN for bidirectionalcom mands

From: [email-masked]
Date: Wed, 4 Feb 2004 22:48:11 -0500

Let me reinforce what Julian said.  A technical change such as
separation of the variables and introduction of a new SNACK
type *CANNOT* be done at this juncture, unless something is
really and truly broken.  Editorial cleanup is
what's in order - i.e., "Implementation 1" below.

Thanks,
--David
----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Julian Satran
> Sent: Tuesday, February 03, 2004 6:10 AM
> To: Ramesh Mangamuri
> Cc: [email-masked]; [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]
> Subject: RE: [Ips] iSCSI: Correct value for ExpDataSN for 
> bidirectionalcommands
> 
> 
> As I stated I think we might have an editorial issue (two 
> names for the 
> same thing) but since this has also some history I would be really 
> reluctant to make any change (except fixing the example and adding a 
> statement explaining that they share the space).
> 
> Julo
> 
> 
> 
> "Ramesh Mangamuri" <[email-masked]> 
> 02/02/2004 22:41
> 
> To
> <[email-masked]>
> cc
> <[email-masked]>, Julian Satran <[email-masked]>, 
> <[email-masked]>, <[email-masked]>, <[email-masked]>
> Subject
> RE: [Ips] iSCSI: Correct value for ExpDataSN for bidirectionalcommands
> 
> 
> 
> 
> 
> 
> From the discussion so far, I am interested to know Julian's plans on
> about the below approaches in the case of a bidirectional commands. 
> 
> Implementation 1:
> =================
> Keep the same variable for both <R2TSNs & DataInSNs> so that 
> there is no
> need to introduce another new SNACK type for R2TSN.
> 
> Or,
> 
> Implementation 2:
> =================
> Use different variables for R2TSNs and DataInSN and introduce 
> new SNACK
> type for R2TSNs.
> 
> More later...,
> Rams
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Monday, February 02, 2004 12:06 PM
> To: Ramesh Mangamuri
> Cc: [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Subject: RE: [Ips] iSCSI: Correct value for ExpDataSN for
> bidirectionalcommands
> 
> On Mon, 2 Feb 2004, Ramesh Mangamuri wrote:
> 
> > To be honest I really don't know about the resources we would be
> saving
> > by combining R2TSN and DataSN into one variable in the of
> bidirectional
> > . But from logical standpoint, Pat's suggestion makes 
> perfect sense to
> > me.
> 
> I think the reason they are the same variable is that they 
> (R2T numbers
> and DataSN) are in the same number space, due to how SNACK Requests
> work.
> To request a given DataSN or a given R2T be retransmitted, 
> the initiator
> sends a SNACK Request of Type 0. That's a Type 0 for _either_ a R2T or
> DataSN retransmit. So for the target to keep things clear, it 
> has to use
> the same number space for both.
> 
> I think separating the number spaces would be ok, but it 
> means changing
> SNACK requests so that BiDi commands can tell what's being asked for.
> 
> Take care,
> 
> Bill
> 
> 
> 

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips